Summary: Set of i2c tools for linux
Name: i2c-tools
Version: 3.1.0
Release: r0.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.lm-sensors.org/wiki/I2CTools
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.18+4.8

%description
The I2C tools that used to be part of the lm-sensors package have been
split to a separate package. The rationale for that move is that not all
hardware monitoring chips are I2C devices, and not all I2C devices are
hardware monitoring chips, so having everything in a single package was
confusing and impractical.

%package -n i2c-tools-misc
Summary: Set of i2c tools for linux
Group: base
Requires: /usr/bin/perl

%description -n i2c-tools-misc
The I2C tools that used to be part of the lm-sensors package have been
split to a separate package. The rationale for that move is that not all
hardware monitoring chips are I2C devices, and not all I2C devices are
hardware monitoring chips, so having everything in a single package was
confusing and impractical.

%package -n i2c-tools-dbg
Summary: Set of i2c tools for linux - Debugging files
Group: devel
Suggests: libc6-dbg(x86_64)
Recommends: i2c-tools = 3.1.0-r0.0

%description -n i2c-tools-dbg
The I2C tools that used to be part of the lm-sensors package have been
split to a separate package. The rationale for that move is that not all
hardware monitoring chips are I2C devices, and not all I2C devices are
hardware monitoring chips, so having everything in a single package was
confusing and impractical.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n i2c-tools-staticdev
Summary: Set of i2c tools for linux - Development files (Static Libraries)
Group: devel
Requires: i2c-tools-dev = 3.1.0-r0.0

%description -n i2c-tools-staticdev
The I2C tools that used to be part of the lm-sensors package have been
split to a separate package. The rationale for that move is that not all
hardware monitoring chips are I2C devices, and not all I2C devices are
hardware monitoring chips, so having everything in a single package was
confusing and impractical.  This package contains static libraries for
software development.

%package -n i2c-tools-dev
Summary: Set of i2c tools for linux - Development files
Group: devel
Requires: i2c-tools = 3.1.0-r0.0
Suggests: libc6-dev(x86_64)

%description -n i2c-tools-dev
The I2C tools that used to be part of the lm-sensors package have been
split to a separate package. The rationale for that move is that not all
hardware monitoring chips are I2C devices, and not all I2C devices are
hardware monitoring chips, so having everything in a single package was
confusing and impractical.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n i2c-tools-doc
Summary: Set of i2c tools for linux - Documentation files
Group: doc

%description -n i2c-tools-doc
The I2C tools that used to be part of the lm-sensors package have been
split to a separate package. The rationale for that move is that not all
hardware monitoring chips are I2C devices, and not all I2C devices are
hardware monitoring chips, so having everything in a single package was
confusing and impractical.  This package contains documentation.

%package -n i2c-tools-locale
Summary: Set of i2c tools for linux
Group: base

%description -n i2c-tools-locale
The I2C tools that used to be part of the lm-sensors package have been
split to a separate package. The rationale for that move is that not all
hardware monitoring chips are I2C devices, and not all I2C devices are
hardware monitoring chips, so having everything in a single package was
confusing and impractical.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
"/usr/sbin/i2cdetect"
"/usr/sbin/i2cget"
"/usr/sbin/eeprom"
"/usr/sbin/eepromer"
"/usr/sbin/i2cdump"
"/usr/sbin/eeprog"
"/usr/sbin/i2cset"

%files -n i2c-tools-misc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/sbin"
"/usr/bin/decode-dimms"
"/usr/bin/decode-edid"
"/usr/bin/decode-vaio"
"/usr/bin/ddcmon"
"/usr/sbin/i2c-stub-from-dump"

%files -n i2c-tools-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/i2cdetect"
"/usr/sbin/.debug/i2cget"
"/usr/sbin/.debug/eeprom"
"/usr/sbin/.debug/eepromer"
"/usr/sbin/.debug/i2cdump"
"/usr/sbin/.debug/eeprog"
"/usr/sbin/.debug/i2cset"
%dir "/usr/src/debug"
%dir "/usr/src/debug/i2c-tools"
%dir "/usr/src/debug/i2c-tools/3.1.0-r0"
%dir "/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0"
%dir "/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/tools"
%dir "/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/eepromer"
%dir "/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/include"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/tools/i2cdump.c"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/tools/i2cbusses.c"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/tools/i2cbusses.h"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/tools/i2cdetect.c"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/tools/i2cset.c"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/tools/util.c"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/tools/i2cget.c"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/tools/util.h"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/eepromer/eeprog.c"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/eepromer/eepromer.c"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/eepromer/eeprom.c"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/eepromer/24cXX.c"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/eepromer/24cXX.h"
%dir "/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/include/linux"
"/usr/src/debug/i2c-tools/3.1.0-r0/i2c-tools-3.1.0/include/linux/i2c-dev.h"

%files -n i2c-tools-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/include/linux"
"/usr/include/linux/i2c-dev-user.h"

%files -n i2c-tools-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/i2cset.8"
"/usr/share/man/man8/i2cdetect.8"
"/usr/share/man/man8/i2cdump.8"
"/usr/share/man/man8/i2c-stub-from-dump.8"
"/usr/share/man/man8/i2cget.8"

